Package org.codehaus.groovy.runtime.metaclass

# Class MissingMethodExecutionFailed

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.lang.GroovyRuntimeException
groovy.lang.MissingMethodException
org.codehaus.groovy.runtime.metaclass.MissingMethodExceptionNoStack
org.codehaus.groovy.runtime.metaclass.MissingMethodExecutionFailed

All Implemented Interfaces:
  `Serializable`

public class MissingMethodExecutionFailed extends MissingMethodExceptionNoStack
A stack less exception used to indicate, that the execution of a missingMethod method failed with a MissingMethodException. This is used to preven a call to invokeMethod for GroovyObject implementing classes.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MissingMethodExecutionFailed(String method, Class type, Object[] arguments, boolean isStatic, Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getCause()`

### Methods inherited from class org.codehaus.groovy.runtime.metaclass.MissingMethodExceptionNoStack

`fillInStackTrace`

### Methods inherited from class groovy.lang.MissingMethodException

`getArguments, getMessage, getMethod, getType, isStatic`

### Methods inherited from class groovy.lang.GroovyRuntimeException

`getLocationText, getMessageWithoutLocationText, getModule, getNode, setModule`

### Methods inherited from class java.lang.Throwable

`addSuppressed, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MissingMethodExecutionFailed

public MissingMethodExecutionFailed(String method, Class type, Object[] arguments, boolean isStatic, Throwable cause)

## Method Details

### getCause

public Throwable getCause()

Overrides:
  `getCause` in class `Throwable`